Global Watchlist
Global Watchlist search
GET /global-watchlist/search
Search entities in the Global Watchlist list by name, date of birth and aliases
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| image | query | string | false | Base64-encoded image for facial recognition (uploaded images are not stored) |
| name | query | string | true | Full name or alias |
| dob | query | string | false | Date of birth (YYYY-MM-DD) |
| yob | query | string | false | Year of birth (YYYY) |
| country_code | query | string | false | Country code (e.g. US) |
| sources | query | string | false | Comma-separated list of sources to search (default: all) |
| source_country_code | query | string | false | Limit results to specific watchlists from a country (e.g. US) |
| from | query | number | false | Pagination start (default: 0) |
| x-api-key | header | string | true | API Authentication Key |
Example responses
Lookup results object
{
"dob": [
"1961-04-25"
],
"yob": [
1961
],
"full_name": "maria soledad iparraguirre guenechea",
"first_name": "maria",
"last_name": "iparraguirre guenechea",
"middle_name": "soledad",
"description": "Member ETA.",
"aliases": [
"maria soledad iparraguirre guenechea"
]
}
500 Response
{
"error": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Lookup results object | LookupWatchlistResponse |
| 500 | Internal Server Error | An error message | ErrorResponse |
Code samples
"""
Python Code Snippet
"""
import requests
headers = {
'Accept': 'application/json',
'x-api-key': 'string'
}
params = {
'name': 'string'
}
r = requests.get('https://data.autohost.ai/v1/global-watchlist/search', headers=headers, params=params)
print(r.json())
/*
TypeScript Code Snippet
*/
import fetch from 'node-fetch';
const headers = {
'Accept':'application/json',
'x-api-key':'string'
};
const response = await fetch('https://data.autohost.ai/v1/global-watchlist/search', {
method: 'get',
headers,
});
const responseJson = await response.json();
console.log(responseJson);
Global Watchlist sources
GET /global-watchlist/sources
Retrieve a list of sources available in the Global Watchlist
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| x-api-key | header | string | true | API Authentication Key |
Example responses
Lookup results object
{
"sources": [
"OFAC",
"INTERPOL",
"UN-NOTICE-RED",
"..."
]
}
500 Response
{
"error": "string"
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | Lookup results object | LookupWatchlistSourcesResponse |
| 500 | Internal Server Error | An error message | ErrorResponse |
Code samples
"""
Python Code Snippet
"""
import requests
headers = {
'Accept': 'application/json',
'x-api-key': 'string'
}
r = requests.get('https://data.autohost.ai/v1/global-watchlist/sources', headers=headers)
print(r.json())
/*
TypeScript Code Snippet
*/
import fetch from 'node-fetch';
const headers = {
'Accept':'application/json',
'x-api-key':'string'
};
const response = await fetch('https://data.autohost.ai/v1/global-watchlist/sources', {
method: 'get',
headers,
});
const responseJson = await response.json();
console.log(responseJson);
Schemas
LookupWatchlistResponse
{
"from": 0,
"size": 0,
"total": 0,
"items": [
{
"info": "string",
"full_name": "string",
"first_name": "string",
"last_name": "string",
"middle_name": "string",
"description": "string",
"yob": [
0
],
"dob": [
"string"
],
"aliases": [
"string"
]
}
]
}
Properties
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| from | number | false | none | none |
| size | number | false | none | none |
| total | number | false | none | none |
| items | [object] | false | none | none |
| » info | string | false | none | none |
| » full_name | string | false | none | none |
| » first_name | string | false | none | none |
| » last_name | string | false | none | none |
| » middle_name | string | false | none | none |
| » description | string | false | none | none |
| » yob | [number] | false | none | none |
| » dob | [string] | false | none | none |
| » aliases | [string] | false | none | none |
ErrorResponse
{
"error": "string"
}
Properties
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| error | string | false | none | none |
LookupWatchlistSourcesResponse
{
"sources": [
"string"
]
}
Properties
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| sources | [string] | false | none | none |